Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.finder
Class ShowTests

    java.lang.Object
      com.sun.javatest.finder.ShowTests

    public class ShowTests

extends java.lang.Object

ShowTests is a utility program to show the tests that are read by a test finder.

Nested Class Summary
`class` | `ShowTests.BadArgs` This exception is used to report bad command line arguments.
`class` | `ShowTests.Fault` This exception is used to report problems that occur while running.

Constructor Summary
`ShowTests()`

Method Summary
`static void` | `main(java.lang.String[] args)` Standard program entry point.
`void` | `run(java.lang.String[] args)` Main work method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowTests

    public ShowTests()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Standard program entry point.

  Parameters:
    `args` - An array of strings, typically provided via the command line. The arguments should be of the form:
    [options] testsuite

    Options
    -finder finderClass finderArgs ... -end | The name of a test finder class and any arguments it might take. The results of reading this test finder will be stored in the output file.
    -initial initial-file | An initial file within the test suite at which to start reading tests.
    -o output-file | The output file in which to write the results. If omitted, The results will be written to the standard console output stream.
    -nodes | By default, only the names of the tests are output. If you specify this option, the names of the parent directories will be displayed as well.
    -full]tests | By default, only the names of the tests are output. If you specify this option, the contents of the test descriptions will be displayed as well.

### run

    public void run(java.lang.String[] args)
             throws ShowTests.BadArgs,
                    ShowTests.Fault,
                    java.io.IOException

  Main work method. Reads all the arguments on the command line, makes sure a valid testFinder is available, and then calls methods to create the tree of tests and then write the binary file.

  Parameters:
    `args` - An array of strings, typically provided via the command line
  Throws:
    `ShowTests.BadArgs` - if a problem is found in the arguments provided
    `ShowTests.Fault` - if a fault is found while running
    `java.io.IOException` - if a problem is found while trying to read a file
  See Also:
    `main(java.lang.String[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.